# Modules

## Overview

Cronos POS Chain utilizes [Cosmos SDK](https://cosmos.network/sdk) and the [Tendermint](https://tendermint.com/) Core consensus engine underneath. Specifically, the Cosmos SDK is a framework that facilitates the development of secure state-machines on top of Tendermint. In particular, we utilize different SDK modules to facilitate the special features of the Cronos POS Chain.

In this documentation, we will be focusing on some of the important modules we used, for example:

* [Authz](#authz) - Facilitates authorizations granted to one account to perform actions on behalf of another account;
* [Bank](#bank) - Token transfer functionalities and query support for the total supply of all assets;
* [Distribution](#distribution) - Fee distribution, and staking rewards to the validators and delegator;
* [Governance](#gov) - On-chain proposals and voting;
* [Mint](#mint) - Creation of new units of staking token;
* [Nft](#nft) - Non-Fungible Token management;
* [Slashing](#slashing) - Validator punishment mechanisms;
* [Staking](#staking) - Proof-of-Stake layer for public blockchains;
* [Supply](#supply) - Retrieve total and liquid supply;
* [Inflation](/cronos-pos-chain-protocol/module_overview/module_inflation.md) - Manage the total supply cap and inflation decay;
* [Tier Reward](/cronos-pos-chain-protocol/module_overview/module_tieredrewards.md) - Manage tiered staking positions with bonus APY on top of base staking rewards.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cronos-pos.org/cronos-pos-chain-protocol/module_overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
